Bug 445034 - Unusual error messages in /var/log/messages about disk access
Unusual error messages in /var/log/messages about disk access
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
8
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-02 16:34 EDT by Harold Pritchett
Modified: 2013-03-05 22:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-07 09:16:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/dmesg from the last boot of this system (33.10 KB, text/plain)
2008-05-02 16:34 EDT, Harold Pritchett
no flags Details
output of lspci -vv command (29.09 KB, application/octet-stream)
2008-05-02 16:36 EDT, Harold Pritchett
no flags Details
Output of various commands about disks (4.19 KB, application/octet-stream)
2008-05-02 16:49 EDT, Harold Pritchett
no flags Details

  None (edit)
Description Harold Pritchett 2008-05-02 16:34:42 EDT
Description of problem:  THe following messages keep appearing in my
/var/log/messages file:

kernel: ata2.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
kernel: ata2.00: cmd a0/00:00:00:00:00/00:00:00:00:00/a0 tag 0
kernel:          cdb 1e 00 00 00 00 00 00 00  00 00 00 00 00 00 00 00
kernel:          res 40/00:03:00:00:00/00:00:00:00:00/a0 Emask 0x4 (timeout)
kernel: ata2.00: status: { DRDY }
kernel: ata2: soft resetting link
kernel: ata2.00: configured for UDMA/66
kernel: ata2: EH complete

It occurs every few minutes, however the system may go for a while without the
error occurring.

Version-Release number of selected component (if applicable):

Fedora core 8 - current patch level
2.6.24.5-85.fc8 #1 SMP Sat Apr 19 11:18:09 EDT 2008 x86_64 GNU/Linux

Additional info:
Hardware:  intel core2 quad processor
           asus P5N-E SLI
           3 GB ddr2 ram
           6 hard drives
             4 sata WDC WD5000AAKS-0
             1 pata WDC WD1200JB-00G
             1 pata WDC WD2500AAJB-0
             1 Optiarc DVD RW A

The four sata drives are defined as a linux RAID 5 array and this array
is mounted as /raid

The 120 Gb pata drive is the Primary Master and only has swap space on
it used by this system (It also contains a complete core 6 system and can
be booted by changing the boot order in the bios.

The 250 Gb pata drive is the Primary Slave and is the boot drive containing
the fedora 8 system.

The DVD drive is the Seconday Master, and there is nothing connected to the
secondary slave port.

In searching the internet, I found some references to the firmware on the
WDC disk drives, but I am no longer able to find these references...

This doesn't seem right.  The question is "Is it a bug?"
Comment 1 Harold Pritchett 2008-05-02 16:34:42 EDT
Created attachment 304410 [details]
/var/log/dmesg from the last boot of this system
Comment 2 Harold Pritchett 2008-05-02 16:36:30 EDT
Created attachment 304411 [details]
output of lspci -vv command
Comment 3 Dave Jones 2008-05-02 16:47:00 EDT
hmm, ata2.00 is your DVD drive.  I wonder if its a side-effect of hal polling it.

Try running hal-disable-polling --device /dev/scd0 and see if it goes away.
Comment 4 Harold Pritchett 2008-05-02 16:49:52 EDT
Created attachment 304417 [details]
Output of various commands about disks
Comment 5 Harold Pritchett 2008-05-02 20:46:38 EDT
I ran the command below:  

[root@mickey log]# hal-disable-polling --device /dev/scd0
Following symlink from /dev/scd0 to /dev/sr0.
Polling for drive /dev/scd0 have been disabled. The fdi file written was
  /etc/hal/fdi/information/media-check-disable-storage_model_DVD_RW_AD_7190A.fdi

We'll see if this causes the errors to go away.  I assume that the xml file
which was written above will permanently disable this polling.

Comment 6 Alan Cox 2008-06-09 11:44:26 EDT
Any news ?
Comment 7 Harold Pritchett 2008-06-09 16:07:20 EDT
I disabled polling on the DVD drive and the error message went away...

Please close this...
Comment 8 Alan Cox 2008-06-09 17:07:07 EDT
I'll reassign it to the HAL people first, see if they can make use of it
Comment 9 Bug Zapper 2008-11-26 05:37:31 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Harold Pritchett 2008-12-07 09:16:21 EST
This can be closed.  I no longer have the system referenced, so there is no way I can test this with a newer release.

Note You need to log in before you can comment on or make changes to this bug.